curl --request DELETE \
--url https://api.voxo.co/v2/admin/extensions/sip/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voxo.co/v2/admin/extensions/sip/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxo.co/v2/admin/extensions/sip/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenant": {
"id": 123,
"name": "<string>"
},
"name": "<string>",
"number": "<string>",
"email": "<string>",
"peerName": "<string>",
"callerIdNumber": "<string>",
"recording": "<string>",
"trunk": "<string>",
"trunkHost": "<string>",
"trunkCallerIdSource": "<string>",
"trunkEmergencyCallerIdOverride": "<string>",
"callLimit": 123,
"dialTimeout": 123,
"routingProfileId": 123,
"musicOnHoldId": 123,
"emergencyLocationId": 123,
"outboundDialPrefix": "<string>",
"includeInDialByName": "<string>",
"includeInPhonebook": "<string>",
"emergencyLocationComment": "<string>",
"branch": {
"id": 123,
"name": "<string>"
},
"emergencyLocation": {
"id": 123,
"address": "<unknown>"
},
"musicOnHold": {
"id": 123,
"name": "<string>"
},
"routingProfile": {
"id": 123,
"name": "<string>",
"type": "<string>"
}
}Delete SIP Extension
Delete a SIP (trunk) extension and clean up its dial-by-name entries, device assignment, and inbound routing destinations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Extension ID
^[1-9]\d*$Response
Deleted SIP extension
Extension ID
Owning tenant
Show child attributes
Show child attributes
Extension name
Extension number
Extension email
SIP peer name
Outbound caller ID number
Call recording mode
Trunk state
Trunk host
Trunk caller ID source
Trunk emergency caller ID override
Concurrent call limit
Inbound ring timeout (seconds)
Routing profile ID
Music on hold ID
Emergency location ID
Outbound dial prefix
Dial-by-name inclusion
Phonebook inclusion
Free-text emergency location comment
Branch)
Show child attributes
Show child attributes
Emergency location
Show child attributes
Show child attributes
Music on hold
Show child attributes
Show child attributes
Routing profile
Show child attributes
Show child attributes
Was this page helpful?